質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.47%

  • Ruby

    7930questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。

gemのgithub_apiを使いたいのにエラーで使えない

解決済

回答 1

投稿 ・編集

  • 評価
  • クリップ 1
  • VIEW 915

pogin503

score 32

gemのgithub_apiを使いたいのですがNameError: uninitialized constant Githubとなって、使うことが出来ません。gem i github_api とやっているはずなのにうまくいっていません。どうしたら良いでしょうか。

現在rbenvでruby-2.1.2を使っています。

インストール方法です。
gem i github_api

pryでの実行結果です。
➤ pry
[1] pry(main)> require 'github_api'
NameError: uninitialized constant Github::API::Config::PropertySet::Set
from /Users/pogin/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/github_api-0.12.0/lib/github_api/api/config/property_set.rb:22:in 'initialize'
[2] pry(main)> github = Github.new
NameError: uninitialized constant Github
from (pry):1:in '__pry__'

こちらは実行コードになります。これは動くかどうかはわかりません。
# require 'github_api'
Github.repos.list user: 'pogin503'

github = Github.new do |config|
  config.endpoint    = 'https://github.company.com/api/v3'
  config.site        = 'https://github.company.com'
  # config.oauth_token = 'token'
  config.adapter     = :net_http
  config.ssl         = {:verify => false}
end

rubyのバージョンです。
➤ ruby version
ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin13.0]

このgemを使っています。
https://github.com/peter-murach/github

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

RailsやsinatraだとGemfileに「gem "github_api"」を追加すれば問題ないと思いますが、
単体で動かす場合は以下のようにしてはいかがでしょうか?


# Gemfileを作成します。
echo 'gem "github_api"' > Gemfile

bundle install
を実行します

以下を ruby ファイル名.rbで実行
require 'rubygems'
require 'bundler/setup'
require 'github_api'

Github.repos.list user: 'pogin503'

github = Github.new do |config|
  config.endpoint    = 'https://github.company.com/api/v3'
  config.site        = 'https://github.company.com'
  # config.oauth_token = 'token'
  config.adapter     = :net_http
  config.ssl         = {:verify => false}
end

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

関連した質問

同じタグがついた質問を見る

  • Ruby

    7930questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • RubyGems

    338questions

    RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。